--- title: "Add Sub Interface" slug: "add-sub-interface" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/add-sub-interface" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add Sub Interface This URL adds a sub interface to the specified Interface. The details of sub interface to be created are given in the request body. ## Resource URL POST /sensor//interface/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor Id | Number | Yes | | interface_id | Unique interface id or interface/sub Interface | Number | Yes | Payload Parameters: Details of Interfaces: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | InterfaceInfo | List of Interfaces | array | Yes | Details of object in InterfaceInfo: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | name | Name of the interface | String | Yes | | Description | Interface description | String | Yes | | InterfaceType | Traffic type | Object | Yes | | IPSPolicyId | IPS policy applied on interface | Number | Yes | | DomainId | ID of the Domain to which the interface is added | Number | Yes | Details of InterfaceType (Can be either of the below mentioned): | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | Vlan | Segment of interface into multiple networks by VLAN tags | Object | Yes | | Cidr | Enables segment of interface into multiple networks by CIDR addressing | Object | Yes | | BridgeVlan | List of bridge VLAN range Applicable for VM-IPS only | Object | Yes | Details of VLAN: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | Id | List of VLAN IDs | array | Yes | Details of CIDR: | Field Name | Description | Data Type | | --- | --- | --- | | CidrId | List of CIDR IDs | array | Details of Bridge VLAN: | Field Name | Description | Data Type | | --- | --- | --- | | bridgeVlanRangeList | List of bridge VLAN range | array | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | createdResourceId | Unique ID of the created sub interface | Number | ## Example **Request** POST [https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/105](https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/105) Payload ``` {   "InterfaceInfo": {      "Description": "try1",      "IPSPolicyId": 17,      "DomainId": 0,      "Interfacetype": {         "Vlan": {            "id": [               "17",               "18",               "19"            ]         }      },      "name": "xyz"   } } ``` **Response** ``` { "createdResourceId":127 } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 404 | 1107 | Invalid interface or sub-interface id | | 3 | 400 | 1108 | Invalid policy Id | | 4 | 400 | 1111 | Cannot create dedicated type sub interface | | 5 | 400 | 1160 | Sub interface type cannot be changed | | 6 | 400 | 1157 | Invalid interface name | | 7 | 400 | 1155 | Name exceeding maximum length: 45 | | 8 | 400 | 1131 | Empty VLAN id list provided | | 9 | 400 | 1158 | Non numeric VLAN id(s) provided | | 10 | 400 | 1159 | Duplicate VLAN id(s) provided | | 11 | 400 | 1161 | Out of range VLAN id(s) provided:[VLAN id list], VLAN id should be between 1 and 4094 | | 12 | 400 | 1163 | Following VLAN id(s) is/are already added/assigned: [VLAN id list] | | 13 | 400 | 1165 | No VLAN id is available for assignment in parent interface | | 14 | 400 | 1166 | Following VLAN id(s) not present in parent interface for assignment on sub interface | | 15 | 400 | 1701 | Invalid CIDR notation | | 16 | 400 | 1137 | Duplicate CIDR entry | | 17 | 400 | 1133 | Invalid CIDR provided | | 18 | 400 | 1177 | Vlan range should be in from-to form | | 19 | 400 | 1176 | Non numeric value provided | | 20 | 400 | 1175 | "From" should be less than "To" in the range | | 21 | 400 | 1178 | Duplicate bridge VLAN range found |